<?php
/* QM Promisance - Turn-based strategy game
 * Copyright (C) 2001-2011 QMT Productions
 *
 * $URL: https://qmpromisance.svn.sourceforge.net/svnroot/qmpromisance/promisance/tags/release-4_6/pages/revalidate.php $
 * $Id: revalidate.php 1880 2011-06-01 02:59:20Z Quietust $
 */

if (!defined('IN_GAME'))
	die("Access denied");

// if user validation isn't permitted, return to the main page
if (!VALIDATE_ALLOW)
	redirect(URL_BASE .'?location=game');

$title = 'REVALIDATE_TITLE';

page_header();

if ($action == 'resend') do
{
	if (!isFormPost())
		break;
	$mailerror = $emp1->sendValidationMail($user1);
	if ($mailerror)
		notice(lang('REVALIDATE_ERROR', $mailerror));
	else	notice(lang('REVALIDATE_SUCCESS', $user1->u_email));
	notices();
	logevent();
	echo '<a href="?location=main">'. lang('REVALIDATE_LINK_MAIN') .'</a>';
} while (0);
else
{
?>
<?php echo lang('REVALIDATE_HEADER'); ?>
<form method="post" action="?location=revalidate"><div><input type="hidden" name="action" value="resend" /><input type="submit" value="<?php echo lang('REVALIDATE_SUBMIT'); ?>" /></div></form>
<?php
}
page_footer();
?>
